#include <bits/stdc++.h>

using namespace std;
double a[200001], p[200001];
int main()
{
    long long int n;
    double s=0, s1=0, k=0;
    cin >> n;
    for (long long int i=0;i<n;i++) cin >> a[i] >> p[i];
    for (;k<=100;){
        s1=0;
        for (long long int i=0;i<n;i++)  if (p[i]>=k) s1+=k*a[i]/100;
        if (s1>s) s=s1;
        k+=0.01;
    }
    printf("%lf", s);
    return 0;
}